package base

import "context"

type Repository interface {
	CreateBase(ctx context.Context, row *Base, categoryType string) error
	UpdateBase(ctx context.Context, row *Base, categoryType string) error
	DeleteBase(ctx context.Context, id []byte, categoryType string) error
	GetBaseByID(ctx context.Context, id []byte, categoryType string) (*Base, error)
	ListBases(ctx context.Context, filter, sort string, limit, offset int, categoryType string, dul *bool) ([]Base, int64, error)
}
